%define module_name Perl-LanguageServer
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(AnyEvent.pm) perl(AnyEvent/AIO.pm) perl(Benchmark.pm) perl(Compiler/Lexer.pm) perl(Coro.pm) perl(Data/Dump.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(IO/AIO.pm) perl(JSON.pm) perl(Module/Build/XSUtil.pm) perl(Moose.pm) perl(PPI/Tokenizer.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(YAML/XS.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9
Release: alt1
Summary: Language Server for Perl
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GR/GRICHTER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a Language Server for Perl

It implements the Language Server Protocol which provides
syntax-checking, symbol search, etc. Perl to various editors, for
example Visual Stuido Code or Atom.

https://microsoft.github.io/language-server-protocol/specification

To use it with Visual Studio Code, install the extention "perl"

This is an early version, but already working version.
Any comments and patches are welcome.

NOTE: This module uses Compiler::Lexer. The version on cpan (0.22) is buggy
crashes from time to time. Please use the version from github 
(https://github.com/goccy/p5-Compiler-Lexer) until
a new version is published to cpan.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Sat May 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1
- updated by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Wed Jul 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

